org.apache.hc.client5.http.impl.auth

## Class BasicSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.BasicSchemeFactory

All Implemented Interfaces:
  AuthSchemeProvider

    @Contract(threading=IMMUTABLE)
    public class BasicSchemeFactory
    extends Object
    implements AuthSchemeProvider

`AuthSchemeProvider` implementation that creates and initializes `BasicScheme` instances.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`BasicSchemeFactory()`
`BasicSchemeFactory(Charset charset)`

### Method Summary

Methods
`AuthScheme` `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicSchemeFactory

    public BasicSchemeFactory(Charset charset)

Since:
  4.3

#### BasicSchemeFactory

    public BasicSchemeFactory()

### Method Detail

#### create

    public AuthScheme create(org.apache.hc.core5.http.protocol.HttpContext context)

Description copied from interface: `AuthSchemeProvider`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeProvider`
Returns:
  auth scheme.